User forums > General (but related to Code::Blocks)

Unofficial Code::Blocks installer for Windows (svn 10408)

(1/22) > >>

ptDev:
UPDATE: Updated to svn revision 10408.

This build of Code::Blocks still is compiled using the newly released TDM-GCC 5.1.0 and wxWidgets 2.8.12.
In the near future, wxWidgets 3.x will be used.

Download link (Sourceforge).

This installer is *not* an official release, nor is the provided Code::Blocks version expected to be as thouroughly tested as the "nightly builds" the Code::Blocks Team provides us with.
It does, however, include a few experimental plugins and patches that might not otherwise be tried out by more users.

Use this simple to use installer to promote Code::Blocks among your peers!

Highlights:

* Unlike the official installer, this installer automatically detects your account permissions and proposes a default installation path accordingly.
If your account has the priviledges of an administrator and you want to install as admin, but you have UAC enabled, right-click on the installer and run it as admin.
* In addition to the functionality of the nightly builds, the following additional plugins are included in this version of Code::Blocks:         - cbDiff
        - CodePaste
        - CompileOnDemand
        - ColorCoder
        - ListToolbox
        - UUID Generator
        - XPMEditor

* A few dictionaries for the SpellChecker plugin are bundled.
* This build of Code::Blocks proudly adopts the alternate icons created by Alpha (see this thread).
* Some community patches were applied:         - Patch #3309: Add "Close all project files" menu option in selected project (by alatar_)
        - Patch #3237: Automatic escape sequences when inside a string (by Alpha).

Changes to installer

* None
Disclaimer: This installer contains binaries of unstable versions of Code::Blocks and its tools and plugins, and is not endorsed by the Code::Blocks Team themselves, so any incorrect behaviour you may find therein should be tested for in the official release and nightly versions before you decide to report any bugs.[/list]

MortenMacFly:

--- Quote from: ptDev on September 02, 2010, 05:08:35 pm ---Download link (setup program inside a .rar archive)

--- End quote ---
That's a good attempt, however, to comply with GPL you should really add the source code you've used, too.

ptDev:

--- Quote from: MortenMacFly on September 02, 2010, 08:41:50 pm ---
--- Quote from: ptDev on September 02, 2010, 05:08:35 pm ---Download link (setup program inside a .rar archive)

--- End quote ---
That's a good attempt, however, to comply with GPL you should really add the source code you've used, too.

--- End quote ---

I have merely compiled the source code from the trunk, unchanged. Perhaps a link to the svn source (or the forum thread where I downloaded the source, in the case of cbDiff) would suffice?

jens:
A link should be enough for sources cobvered by GPL v3 (as C::B is).

You have to give detailed information where to find the sources and how to build the binaries from it.

Are you sure, that all sources are GPL v3 sources (or similar) ?
Otherwise you should check the licenses for the sources carefully

seb_seb0:

--- Quote from: jens on September 02, 2010, 09:54:48 pm ---A link should be enough for sources cobvered by GPL v3 (as C::B is).

You have to give detailed information where to find the sources and how to build the binaries from it.

Are you sure, that all sources are GPL v3 sources (or similar) ?
Otherwise you should check the licenses for the sources carefully

--- End quote ---

I confirm that XPMEditor is GPL v3 (I have indicated it in the XML Manifest file of the plugin).
For the 3 other plugins, I do not know.

Sebastien

Navigation

[0] Message Index

[#] Next page

Go to full version